# Add a /var/named if it doesn't exist:
if [ ! -d var/named ]; then
  mkdir -p var/named
  chmod 755 var/named
fi
# Add a sample config file if there is none:
if [ ! -r etc/named.conf ]; then
  mv etc/named.conf-sample etc/named.conf
fi
# Generate /etc/rndc.key if there's none there,
# and there also no /etc/rndc.conf (the other
# way to set this up).
if [ ! -r etc/rndc.key -a ! -r /etc/rndc.conf ]; then
  chroot . /sbin/ldconfig
  chroot . /usr/sbin/rndc-confgen -a
fi
( cd usr/lib ; rm -rf libdns.so.5 )
( cd usr/lib ; ln -sf libdns.so.5.3.0 libdns.so.5 )
( cd usr/lib ; rm -rf libisc.so.4 )
( cd usr/lib ; ln -sf libisc.so.4.1.0 libisc.so.4 )
( cd usr/lib ; rm -rf libisccc.so.0 )
( cd usr/lib ; ln -sf libisccc.so.0.0.1 libisccc.so.0 )
( cd usr/lib ; rm -rf libisccfg.so.0 )
( cd usr/lib ; ln -sf libisccfg.so.0.0.3 libisccfg.so.0 )
( cd usr/lib ; rm -rf liblwres.so.1 )
( cd usr/lib ; ln -sf liblwres.so.1.1.0 liblwres.so.1 )
( cd usr/sbin ; rm -rf lwresd )
( cd usr/sbin ; ln -sf named lwresd )
